Package org.eclipse.net4j.util.factory

# Class Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Direct Known Subclasses:
  `AuthenticatorFactory`, `AuthorizableOperationFactory`, `CredentialsProviderFactory`, `DelegableReentrantLock.DelegateDetector.Factory`, `ElementWizardFactory`, `ExecutorServiceFactory`, `IConfirmationProvider.Factory`, `IntrospectionProvider.Factory`, `IStreamWrapper.Factory`, `MenuFiller.Factory`, `MetaFactory`, `NegotiatorFactory`, `OperationAuthorizerFactory`, `PropertiesFactory`, `RandomizerFactory`, `SingletonFactory`, `TimerLifecycle.DaemonFactory`, `TreeFactory`, `UserManagerFactory`, `ValueFormatter.Factory`

public abstract class Factory extends Object implements IFactory, IFactoryKeyAware
A default implementation of a `factory`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory()`
`Factory(String productGroup)`
`Factory(String productGroup, String type)`
`Factory(FactoryKey key)`
`Factory(IFactoryKey key)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptionFor(Object product)`
`IFactoryKey`
`getFactoryKey()`
`FactoryKey`
`getKey()`
`String`
`getProductGroup()`
`String`
`getType()`
`protected final ProductCreationException`
`productCreationException(String description)`
`protected final ProductCreationException`
`productCreationException(String description, Throwable cause)`
`void`
`setFactoryKey(IFactoryKey factoryKey)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`create`

## Field Details

### NO_DESCRIPTION

public static final String NO_DESCRIPTION

Since:
  3.23

## Constructor Details

### Factory

public Factory()

Since:
  3.23

### Factory

public Factory(FactoryKey key)

### Factory

public Factory(IFactoryKey key)

Since:
  3.23

### Factory

public Factory(String productGroup, String type)

### Factory

public Factory(String productGroup)

Since:
  3.16

## Method Details

### getFactoryKey

public IFactoryKey getFactoryKey()

Since:
  3.23

### setFactoryKey

public void setFactoryKey(IFactoryKey factoryKey)

Specified by:
  `setFactoryKey` in interface `IFactoryKeyAware`

### getKey

public FactoryKey getKey()

Specified by:
  `getKey` in interface `IFactory`

### getProductGroup

public String getProductGroup()

### getType

public String getType()

### getDescriptionFor

public String getDescriptionFor(Object product)

Specified by:
  `getDescriptionFor` in interface `IFactory`

### productCreationException

protected final ProductCreationException productCreationException(String description, Throwable cause)

Since:
  3.23

### productCreationException

protected final ProductCreationException productCreationException(String description)

Since:
  3.23

### toString

public String toString()

Overrides:
  `toString` in class `Object`